%define major 0
%define libname %mklibname mission-control-plugins %major
%define libname_devel %mklibname -d mission-control-plugins

Name:           telepathy-mission-control
Version:        5.14.1
Release:        %mkrel 1
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://mission-control.sourceforge.net/
Source0:        http://telepathy.freedesktop.org/releases/telepathy-mission-control/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-glib-devel
BuildRequires: libtelepathy-glib-devel
BuildRequires: chrpath
BuildRequires: libxslt-proc
BuildRequires: libGConf2-devel
BuildRequires: python
BuildRequires: libgnome-keyring-devel
Requires:      telepathy-filesystem
Requires:      %{_lib}mission-control-plugins0

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n %libname_devel
Summary: Development library for telepathy-mission-control
Requires:      %libname = %version
Group:         Development/Libraries
Provides:      %{name}-devel = %version-%release
Obsoletes:     %{_lib}missioncontrol-devel < 5.6.0

%description -n %libname_devel
Development library for telepathy-mission-control

%package -n %libname
Summary: Run time library for telepathy-mission-control
Group:   System/Libraries
Obsoletes: %{_lib}missioncontrol5.4.0 < 5.6.0

%description -n %libname
Run time library for telepathy-mission-control

%prep
%setup -q

%build
%configure2_5x --enable-gnome-keyring=yes --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libexecdir}/mission-control-5
%_mandir/man1/*
%_mandir/man8/*

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %libname_devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc


%changelog
* Sat Sep 21 2013 pinoc <vogtpet at gmail.com> 5.14.1-1pclos2013
- 5.14.1

* Sat Sep 24 2011 Texstar <texstar at gmail.com> 5.9.2-1pclos2011
- 5.9.2

* Fri Oct 01 2010 Texstar <texstar at gmail.com> 5.6.0-1pclos2010
- update

